#include<iostream>
using namespace std;
int main () {
	ios_base::sync_with_stdio(false);
	int N, K, s;
	cin>>N>>K;
	int a[N];
	for(int i=0; i<N; i++) {
		cin>>a[i];
		if(K==a[i]) s=i;
	}
	if(s==N-1) cout<<a[0];
	else cout<<a[s+1];

return 0;
}